# Class Storage#changeLogoImage

storage

- Defined in: storage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Storage#changeLogoImage(successCallback, errorCallback, options) Changes monitor logo image.

## Class Detail

Storage#changeLogoImage(successCallback, errorCallback, options)

Changes monitor logo image. Image can be loaded from internal|USB memory, or retrieved from remote server using 'http' or 'https'. Logo image has following restrictions :
- format : JPG or BMP
- max resolution : 1920x1080
- max file size : 8 Mbytes for BMP

    function changeLogoImage() {
       var successCb = function () {
         console.log("Upgrading logo image is successful");
       };

       var failureCb = function(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var options = {
          uri : "http://example.org/myImage.jpg"
       };

       var storage = new Storage();
       storage.changeLogoImage(successCb, failureCb, options);

    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  uri | String | URI for the logo image(http, https, file://internal or file://usb:[index]) | required

Since:
  1.2
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText as parameters.

See:
  Storage.upgradeFirmware()